package es.verdnatura.presentation.view.feature.articulo.model

class ItemCardVO(
    var id: Int = 0,
    var longName: String? = null,
    var value5: String? = null,
    var value6: String? = null,
    var value7: String? = null,
    var image: String? = null,
    var size: Int? = null,
    var stems: String? = null,
    var itemCost: String? = null,
    var category:String? = null,
    var producer: String? = null,
    var origin: String? = null,
    var reserva: Int? = null,
    var enNicho: Int? = null,
    var available: Int? = null,
    var repo: Int? = null,
    var min: Int? = null,
    var grouping: Int? = null,
    var packing: Int? = null,
    var barcodes: List<BarcodeVO> = listOf(),
    var tag5: String? = null,
    var tag6: String? = null,
    var tag7: String? = null,
    var urlImage200: String? = null,
    var urlImage: String? = null,
    var itemPackingTypeFk: String? = null,
    var reference: String? = null,
    var buyer: String? = null,
    var vVisibleItemShelving: Int? = null,
    var visible: Int? = null,
    var unlocated: Int? = null

)

class ItemCardRowVO(
    var title: String? = "",
    var value: String? = "",
    var isEditable: Boolean = true,
    var action: String = "",
    var barcodes: List<BarcodeVO> = listOf()
)

class BarcodeVO(
    var code: String?
)
data class ItemDetails(
    var itemFk: Int? = null,
    var vShelvingFK: String = "",
    var itemCost: Double = 0.0,
    var visible: Int = 0,

)



